Debugger
Keywords: uk.ac.bbk.dcs.automed.xml.Debugger class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.bbk.dcs.automed.xml
Class Debugger

    java.lang.Object
      uk.ac.bbk.dcs.automed.xml.Debugger

    public class Debugger

extends java.lang.Object

Control the printing of debug information (related to the XML compontents of the Birkbeck package) printed on the command line.

Author:
  Lucas Zamboulis

Constructor Summary
`Debugger()`

Method Summary
`static boolean` | `atDebugLevel(int level)` Return true if the debug level set by `setDebugLevel(int)`is at least at a certain level.
`static int` | `getDebugLevel()` Return the value of the debug level at set by `setDebugLevel(int)`
`static void` | `setDebugLevel(int level)` Control the printing of debug information (related to the XML compontents of the Birkbeck package) printed on the command line.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Debugger

    public Debugger()

Method Detail

### setDebugLevel

    public static void setDebugLevel(int level)

  Control the printing of debug information (related to the XML compontents of the Birkbeck package) printed on the command line.

  Parameters:
    `level` - value to set the debug level at, according to the following scale:

    - 0: no debug information
    - 1: only debug information that is to explain to users what is going on (default)
    - 10: all debug information

### getDebugLevel

    public static int getDebugLevel()

  Return the value of the debug level at set by `setDebugLevel(int)`

### atDebugLevel

    public static boolean atDebugLevel(int level)

  Return true if the debug level set by `setDebugLevel(int)`is at least at a certain level. For example, this is used in code of the form `if (atDebugLevel(5)) ...` to ensure that something is only executed when the system has been set at debug level 5 or more

  Parameters:
    `level` - threshold value of debug level for which being "at a debug level" is true

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD